MCOOKIE(1)

NOM
mcookie - Créer des « cookies magiques » pour xauth

SYNOPSIS
mcookie [options]

DESCRIPTION
mcookie génère un nombre hexadécimal aléatoire de 128 bits qui peut être utilisé avec le système d'authentification de X. Utilisation typique :

    xauth add :0 . `mcookie`

Le nombre « aléatoire » créé est en fait le condensé MD5 d’informations aléatoires provenant d’une des sources /dev/urandom, /dev/random ou des fonctions pseudoaléatoires de libc, dans cet ordre de préférence.

OPTIONS

-f, --file fichier
    Utiliser ce fichier comme source supplémentaire d’aléa. Si fichier est -, les caractères sont lus sur l'entrée standard.

-m, --max-size nombre
    Ne lire que nombre octets du fichier. Cette option est supposée être utilisée lors de la lecture d’aléa supplémentaire à partir d’un fichier ou périphérique.

    L’argument nombre peut être suivi des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-v, --verbose
    Informer des sources d’aléa, avec la quantité d’entropie lue de chaque source.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

BOGUES
Aucune source d’aléa n’est censée bloquer.

FICHIERS
/dev/urandom
/dev/random

VOIR AUSSI
md5sum(1), X(1), xauth(1), rand(3)

DISPONIBILITÉ
La commande mcookie fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.